HttpException (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.http

## Class HttpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jetty.http.HttpException

- All Implemented Interfaces:
    Serializable

      public class HttpException
      extends IOException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpException(int status)`
    `HttpException(int status, String reason)`
    `HttpException(int status, String reason, Throwable rootCause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReason()`
    `int` | `getStatus()`
    `void` | `setReason(String reason)`
    `void` | `setStatus(int status)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpException

          public HttpException(int status)

    - #### HttpException

          public HttpException(int status,
                       String reason)

    - #### HttpException

          public HttpException(int status,
                       String reason,
                       Throwable rootCause)

  - ### Method Detail

    - #### getReason

          public String getReason()

      Returns:
        Returns the reason.

    - #### setReason

          public void setReason(String reason)

      Parameters:
        `reason` - The reason to set.

    - #### getStatus

          public int getStatus()

      Returns:
        Returns the status.

    - #### setStatus

          public void setStatus(int status)

      Parameters:
        `status` - The status to set.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.